## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate libcryptsetup-rs-sys

Name:           rust-%{crate}
Version:        0.1.5
Release:        %autorelease
Summary:        Low level bindings for libcryptsetup

# Upstream license specification: MPL-2.0
License:        MPLv2.0
URL:            https://crates.io/crates/libcryptsetup-rs-sys
Source:         %{crates_source}
# Initial patched metadata
# * Bump bindgen to 0.58.0
Patch0:         libcryptsetup-rs-sys-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Low level bindings for libcryptsetup.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libcryptsetup)

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(libcryptsetup)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jul 17 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.1.5-4
- Uncommitted changes

* Fri Apr 23 2021 John Baublitz <jbaublitz@redhat.com> 0.1.5-2
- Amend changelog message

* Fri Apr 23 2021 John Baublitz <jbaublitz@redhat.com> 0.1.5-1
- v0.1.5

* Wed Mar 31 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.1.4-5
- Bump bindgen to 0.57.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Nov 29 2020 Fabio Valentini <decathorpe@gmail.com> 0.1.4-3
- bump bindgen to 0.56

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 06 2020 John Baublitz <jbaublitz@redhat.com> 0.1.4-1
- Initial import (#1853087)
